package com.skr.mdm.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author nfq
 * @date 2021/3/30 14:52
 *
 * 用户日志类型
 */
@Getter
@AllArgsConstructor
public enum LogUserTypeEnum {

    LOG_ONLINE(1, "上线"),
    LOG_OFFLINE(2, "离线"),
    LOG_APP_INSTALL(3, "应用安装"),
    LOG_APP_DOWNLOAD(4, "应用下载"),
    LOG_APP_UNINSTALL(5, "应用卸载"),
    LOG_SMS_SEND(6, "发送短信"),
    LOG_SMS_RECEIVE(7, "接收短信"),
    LOG_CALL_IN(8, "通话呼入"),
    LOG_CALL_OUT(9, "通话呼出"),
    LOG_SIGN_IN(10, "签到"),
    LOG_SCREEN_SHOT(11, "截屏"),
    LOG_TAKE_PHOTO(12, "拍照"),
    LOG_ALARM(13, "报警");


    private Integer logType;
    private String logName;
}
